
package de.ivu.elect.presentation.ergebnis.table;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.ergebnis.entity.ErgebnisLogEintrag;
import de.ivu.elect.jee.presentation.dynamictable.AbstractColumnBuilder;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;

@Named(ErgebnisLogEintragColumnBuilder.COMPONENT_NAME)
public class ErgebnisLogEintragColumnBuilder extends AbstractColumnBuilder<ErgebnisLogEintrag> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "ergebnisLogEintragColumnBuilder";

  private AbstractErgebnisLogEintragColumn<ErgebnisLogEintrag> eintragArtColumn;

  private AbstractErgebnisLogEintragColumn<ErgebnisLogEintrag> eintragTextColumn;

  public ErgebnisLogEintragColumnBuilder() {
    super();
  }

  @Override
  protected void initColumns() {
    eintragArtColumn = AbstractErgebnisLogEintragColumn.createErgebnisLogEintragErgebnisLogEintragArtColumn(getMessages());
    eintragTextColumn = AbstractErgebnisLogEintragColumn.createErgebnisLogEintragTextColumn(getMessages());
  }

  @Override
  protected List<ColumnEntry< ? super ErgebnisLogEintrag>> getColumnEntriesSorted() {
    List<ColumnEntry< ? super ErgebnisLogEintrag>> result = new ArrayList<>();
    result.add(eintragArtColumn);
    result.add(eintragTextColumn);
    return result;
  }
}
